<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>net.ihe.gazelle</groupId>
	<artifactId>cdabasic-validator-jar</artifactId>
	<name>CDA Basic - Validator</name>
	<version>1.1.3-SNAPSHOT</version>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.3</version>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<compilerVersion>1.7</compilerVersion>
					<fork>true</fork>
					<source>1.7</source>
					<target>1.7</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>net.ihe.gazelle</groupId>
				<artifactId>gazelle-generator-jar</artifactId>
				<version>1.0.1</version>
				<executions>
					<execution>
						<goals>
							<goal>genvalidator</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<samplesDescriptors>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdabasic.uml</umlpath>
							<outputFolder>${basedir}/src/test/resources/samples/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdadt.uml</umlpath>
							<outputFolder>${basedir}/src/test/resources/samples/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdanblock.uml</umlpath>
							<outputFolder>${basedir}/src/test/resources/samples/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
					</samplesDescriptors>
					<testDescriptors>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdabasic.uml</umlpath>
							<outputFolder>${basedir}/src/test/java/net/ihe/gazelle/testcda/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdadt.uml</umlpath>
							<outputFolder>${basedir}/src/test/java/net/ihe/gazelle/testdt/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdanblock.uml</umlpath>
							<outputFolder>${basedir}/src/test/java/net/ihe/gazelle/testnblock/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
					</testDescriptors>
					<validationDescriptors>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdabasic.uml</umlpath>
							<outputFolder>${basedir}/src/main/java/net/ihe/gazelle/cda/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdadt.uml</umlpath>
							<outputFolder>${basedir}/src/main/java/net/ihe/gazelle/cda/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdanblock.uml</umlpath>
							<outputFolder>${basedir}/src/main/java/net/ihe/gazelle/cda/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
					</validationDescriptors>

					<documentationDescriptors>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdabasic.uml</umlpath>
							<outputFolder>${basedir}/tmpp/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdadt.uml</umlpath>
							<outputFolder>${basedir}/tmpp/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
						<validationDescriptor>
							<umlpath>${basedir}/../cdabasic-model/models/cdanblock.uml</umlpath>
							<outputFolder>${basedir}/tmpp/</outputFolder>
							<propertiesFile>${basedir}/../cdabasic-model/default.properties</propertiesFile>
						</validationDescriptor>
					</documentationDescriptors>
					
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.jacoco</groupId>
				<artifactId>jacoco-maven-plugin</artifactId>
				<version>0.7.9</version>
				<executions>
					<execution>
						<id>default-prepare-agent</id>
						<goals>
							<goal>prepare-agent</goal>
						</goals>
					</execution>
					<execution>
						<id>default-report</id>
						<phase>prepare-package</phase>
						<goals>
							<goal>report</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.jacoco</groupId>
				<artifactId>jacoco-maven-plugin</artifactId>
				<version>${jacoco.version}</version>
				<executions>
					<execution>
						<id>pre-unit-test</id>
						<goals>
							<goal>prepare-agent</goal>
						</goals>
					</execution>
					<execution>
						<id>post-unit-test</id>
						<phase>test</phase>
						<goals>
							<goal>report</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>${maven.release.plugin.version}</version>
				<configuration>
					<tagNameFormat>@{project.version}</tagNameFormat>
					<autoVersionSubmodules>true</autoVersionSubmodules>
					<releaseProfiles>release</releaseProfiles>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>dev</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>sonar</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.sonarsource.scanner.maven</groupId>
						<artifactId>sonar-maven-plugin</artifactId>
						<version>${sonar.maven.plugin}</version>
						<executions>
							<execution>
								<phase>verify</phase>
								<goals>
									<goal>sonar</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
		<profile>
			<id>release</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.sonatype.plugins</groupId>
						<artifactId>nexus-staging-maven-plugin</artifactId>
						<version>${nexus.staging.maven.plugin.version}</version>
						<executions>
							<execution>
								<id>default-deploy</id>
								<phase>deploy</phase>
								<goals>
									<goal>deploy</goal>
								</goals>
							</execution>
						</executions>
						<configuration>
							<serverId>nexus-releases</serverId>
							<nexusUrl>https://gazelle.ihe.net/nexus</nexusUrl>
							<skipStaging>true</skipStaging>
						</configuration>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		 <sonar.jacoco.reportPaths>target/jacoco.exec</sonar.jacoco.reportPaths>
		<git.user.name>gitlab-ci</git.user.name>
		<git.user.token>changeit</git.user.token>
		<git.project.url>https://${git.user.name}:${git.user.token}@gitlab.inria.fr/gazelle/library/validators/src-gen/cda/cdabasic-validator-jar.git</git.project.url>
		<maven.release.plugin.version>2.5.3</maven.release.plugin.version>
		<nexus.staging.maven.plugin.version>1.6.8</nexus.staging.maven.plugin.version>
		<sonar.maven.plugin>3.5.0.1254</sonar.maven.plugin>
		<jacoco.version>0.8.1</jacoco.version>
	</properties>

	<description>requirements and rules of the CDA : KSA baisc constraint</description>
	<url>http://gazelle.ihe.net/CDAGenerator/home.seam</url>
	<issueManagement>
		<system>JIRA</system>
		<url>http://gazelle.ihe.net/jira/browse/CDAGEN</url>
	</issueManagement>
	<scm>
		<connection>scm:git:${git.project.url}</connection>
		<developerConnection>scm:git:${git.project.url}</developerConnection>
		<url>${git.project.url}</url>
		<tag>HEAD</tag>
	</scm>

	<pluginRepositories>
		<pluginRepository>
			<id>IHE-plugins</id>
			<name>IHE Plugins Public Maven Repository Group</name>
			<url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>

	<distributionManagement>
		<repository>
			<id>nexus-releases</id>
			<url>https://gazelle.ihe.net/nexus/content/repositories/releases</url>
		</repository>
		<snapshotRepository>
			<id>nexus-snapshots</id>
			<url>https://gazelle.ihe.net/nexus/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>


	<repositories>
		<repository>
			<releases>
				<enabled>true</enabled>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<id>IHE</id>
			<name>IHE Public Maven Repository Group</name>
			<url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
			<layout>default</layout>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>tudresden.ocl20.pivot.tools.codegen.ocl2java.types</groupId>
			<artifactId>tudresden-ocl-types</artifactId>
			<version>3.0.0</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.datatypes</groupId>
			<artifactId>datatypes-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<groupId>jaxen</groupId>  
            		<artifactId>jaxen</artifactId> 
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.voc</groupId>
			<artifactId>voc-code-jar</artifactId>
			<version>1.1</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.nblock</groupId>
			<artifactId>nblock-code-jar</artifactId>
			<version>1.1</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cda</groupId>
			<artifactId>cda-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-code-jar</artifactId>
			<version>2.0.2</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.5.6</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.4.3</version>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.10</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-operations-jar</artifactId>
			<version>1.0.2</version>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<groupId>jaxen</groupId>  
            		<artifactId>jaxen</artifactId> 
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ihe-xmltools-jar</artifactId>
			<version>1.0.1</version>
		</dependency>
		
		<dependency>
		  <groupId>pixelmed</groupId>
		  <artifactId>pixelmed_ucum</artifactId>
		  <version>20130721</version>
		</dependency>
		
		<dependency>
		  <groupId>maven2-brew.antlr</groupId>
		  <artifactId>antlr</artifactId>
		  <version>2.7.7</version>
		</dependency>

		<dependency>
			<groupId>org.fhir</groupId>
			<artifactId>ucum</artifactId>
			<version>1.0.3.IHE</version>
		</dependency>

		<dependency>
			<groupId>xmlpull</groupId>
			<artifactId>xmlpull</artifactId>
			<version>1.1.3.1</version>
		</dependency>

	</dependencies>
</project>
